Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLARF

    java.lang.Object
      org.netlib.lapack.DLARF

    public class DLARF

extends java.lang.Object

    DLARF is a simplified interface to the JLAPACK routine dlarf.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARF applies a real elementary reflector H to a real m by n matrix
     *  C, from either the left or the right. H is represented in the form
     *
     *        H = I - tau * v * v'
     *
     *  where tau is a real scalar and v is a real vector.
     *
     *  If tau = 0, then H is taken to be the unit matrix.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': form  H * C
     *          = 'R': form  C * H
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C.
     *
     *  V       (input) DOUBLE PRECISION array, dimension
     *                     (1 + (M-1)*abs(INCV)) if SIDE = 'L'
     *                  or (1 + (N-1)*abs(INCV)) if SIDE = 'R'
     *          The vector v in the representation of H. V is not used if
     *          TAU = 0.
     *
     *  INCV    (input) INTEGER
     *          The increment between elements of v. INCV <> 0.
     *
     *  TAU     (input) DOUBLE PRECISION
     *          The value tau in the representation of H.
     *
     *  C       (input/output) DOUBLE PRECISION array, dimension (LDC,N)
     *          On entry, the m by n matrix C.
     *          On exit, C is overwritten by the matrix H * C if SIDE = 'L',

     *          or C * H if SIDE = 'R'.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension
     *                         (N) if SIDE = 'L'
     *                      or (M) if SIDE = 'R'
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLARF()`

Method Summary
`static void` | `DLARF(java.lang.String side, int m, int n, double[] v, int incv, double tau, double[][] c, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLARF

    public DLARF()

Method Detail

### DLARF

    public static void DLARF(java.lang.String side,
                             int m,
                             int n,
                             double[] v,
                             int incv,
                             double tau,
                             double[][] c,
                             double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD